<bugID>418257<Summary>Show what part of which tags match for urlbar autocomplete</Summary><Description>Created attachment 304049
screenshot of bug 401660 v1

Tags can be thought like extra search terms for a page in addition to the bookmark title, page title and url, so we should show what parts of the tags are being matched, especially for partial matches.

This doesn't look quite like the mockup from bug 393508, but with a text display, we can style it like the rest of the title/url as well as easily show partial matches.</Description></bugID>